package com.zanxiang.manage.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.manage.domain.params.PayMerchantListParam;
import com.zanxiang.manage.domain.vo.PayMerchantChoiceVO;
import com.zanxiang.manage.domain.vo.PayMerchantListVO;
import com.zanxiang.mybatis.entity.PayMerchant;

import java.util.List;

/**
 * 游戏支付商户配置表 服务类接口
 *
 * @author xufeng
 * @date 2022-06-16 19:04
 */
public interface IPayMerchantService extends IService<PayMerchant> {

    /**
     * 支付方式选择列表查询
     *
     * @return : 返回支付方式列表
     */
    List<PayMerchantChoiceVO> payMerchantChoiceList();

    /**
     * 列表
     *
     * @param param 参数
     * @return {@link IPage}<{@link PayMerchantListVO}>
     */
    IPage<PayMerchantListVO> pageList(PayMerchantListParam param);

    /**
     * 状态更新
     *
     * @param id     id
     * @param status 状态
     * @return {@link Boolean}
     */
    Boolean statusUpdate(Long id, Integer status);

    /**
     * 删除通过id
     *
     * @param id id
     * @return boolean
     */
    boolean deleteById(Long id);
}
